zenilib: TIntermUnary Class Reference

zenilib 0.5.3.0

- Main Page
- Modules
- Namespaces
- Classes
- Files

- Class List
- Class Index
- Class Hierarchy
- Class Members

All Classes Namespaces Files Functions Variables Typedefs Enumerations Enumerator Properties Friends Macros Groups Pages
Public Member Functions | Protected Attributes | List of all members
TIntermUnary Class Reference

`#include <intermediate.h>`

Inherits TIntermOperator.

## Public Member Functions

| TIntermUnary (TOperator o, TType &t)
| TIntermUnary (TOperator o)
virtual TIntermUnary * | getAsUnaryNode ()
TIntermTyped * | getOperand ()
bool | getUseEmulatedFunction ()
bool | promote (TInfoSink &)
void | setOperand (TIntermTyped *o)
void | setUseEmulatedFunction ()
virtual void | traverse (TIntermTraverser *)
Public Member Functions inherited from TIntermOperator
TOperator | getOp () const
bool | isConstructor () const
bool | modifiesState () const
void | setOp (TOperator o)
Public Member Functions inherited from TIntermTyped
| TIntermTyped (const TType &t)
int | elementRegisterCount () const
int | getArraySize () const
virtual TIntermTyped * | getAsTyped ()
const char * | getBasicString () const
TBasicType | getBasicType () const
TString | getCompleteString () const
int | getNominalSize () const
TPrecision | getPrecision () const
TQualifier | getQualifier () const
const char * | getQualifierString () const
const TType & | getType () const
TType * | getTypePointer ()
bool | isArray () const
bool | isMatrix () const
bool | isScalar () const
bool | isVector () const
void | setType (const TType &t)
int | totalRegisterCount () const
Public Member Functions inherited from TIntermNode
| TIntermNode ()
virtual | ~TIntermNode ()
virtual TIntermAggregate * | getAsAggregate ()
virtual TIntermBinary * | getAsBinaryNode ()
virtual TIntermConstantUnion * | getAsConstantUnion ()
virtual TIntermLoop * | getAsLoopNode ()
virtual TIntermSelection * | getAsSelectionNode ()
virtual TIntermSymbol * | getAsSymbolNode ()
const TSourceLoc & | getLine () const
| POOL_ALLOCATOR_NEW_DELETE ()
void | setLine (const TSourceLoc &l)

## Protected Attributes

TIntermTyped * | operand
bool | useEmulatedFunction
Protected Attributes inherited from TIntermOperator
TOperator | op
Protected Attributes inherited from TIntermTyped
TType | type
Protected Attributes inherited from TIntermNode
TSourceLoc | line

## Additional Inherited Members

Protected Member Functions inherited from TIntermOperator
| TIntermOperator (TOperator o)
| TIntermOperator (TOperator o, TType &t)

## Detailed Description

Definition at line 431 of file intermediate.h.

## Constructor & Destructor Documentation

TIntermUnary::TIntermUnary | ( | TOperator | o,
|  | TType & | t
| ) |  |

inline

Definition at line 433 of file intermediate.h.

TIntermUnary::TIntermUnary | ( | TOperator | o | ) |

inline

Definition at line 434 of file intermediate.h.

## Member Function Documentation

virtual TIntermUnary* TIntermUnary::getAsUnaryNode | ( |  | ) |

inlinevirtual

Reimplemented from TIntermNode.

Definition at line 437 of file intermediate.h.

TIntermTyped* TIntermUnary::getOperand | ( |  | ) |

inline

Definition at line 440 of file intermediate.h.

References operand.

Referenced by ValidateLimitations::visitUnary(), TOutputGLSLBase::visitUnary(), and sh::OutputHLSL::visitUnary().

bool TIntermUnary::getUseEmulatedFunction | ( |  | ) |

inline

Definition at line 444 of file intermediate.h.

References useEmulatedFunction.

Referenced by TOutputGLSLBase::visitUnary().

bool TIntermUnary::promote | ( | TInfoSink & |  | ) |

Definition at line 805 of file Intermediate.cpp.

References EbtBool, EbtFloat, EOpAll, EOpAny, EOpLogicalNot, EOpNegative, EOpPostDecrement, EOpPostIncrement, EOpPreDecrement, EOpPreIncrement, EOpVectorLogicalNot, EvqTemporary, TIntermTyped::getBasicType(), TIntermTyped::getType(), TIntermOperator::op, operand, and TIntermTyped::setType().

Referenced by TIntermediate::addUnaryMath().

void TIntermUnary::setOperand | ( | TIntermTyped * | o | ) |

inline

Definition at line 439 of file intermediate.h.

References operand.

Referenced by TIntermediate::addUnaryMath().

void TIntermUnary::setUseEmulatedFunction | ( |  | ) |

inline

Definition at line 443 of file intermediate.h.

References useEmulatedFunction.

void TIntermUnary::traverse | ( | TIntermTraverser * | it | ) |

virtual

Implements TIntermNode.

Definition at line 109 of file IntermTraverse.cpp.

References TIntermTraverser::decrementDepth(), TIntermTraverser::incrementDepth(), operand, PostVisit, TIntermTraverser::postVisit, PreVisit, TIntermTraverser::preVisit, TIntermNode::traverse(), and TIntermTraverser::visitUnary().

## Member Data Documentation

TIntermTyped* TIntermUnary::operand

protected

Definition at line 447 of file intermediate.h.

Referenced by getOperand(), promote(), setOperand(), and traverse().

bool TIntermUnary::useEmulatedFunction

protected

Definition at line 451 of file intermediate.h.

Referenced by getUseEmulatedFunction(), and setUseEmulatedFunction().

The documentation for this class was generated from the following files:

- zenilib/jni/external/angle/src/compiler/intermediate.h
- zenilib/jni/external/angle/src/compiler/Intermediate.cpp
- zenilib/jni/external/angle/src/compiler/IntermTraverse.cpp